/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.states;

import org.dive4elements.artifacts.Artifact;

import org.apache.log4j.Logger;

/**
 * State to input W/Q data for fixings
 * @author <a href="mailto:aheinecke@intevation.de">Andre Heinecke</a>
 */
public class WQFixing extends WQAdapted {

    /** The logger used in this state.*/
    private static Logger logger = Logger.getLogger(WQFixing.class);

    @Override
    public boolean validate(Artifact artifact)
    throws IllegalArgumentException
    {
        logger.debug("WQFixing.validate");
        // A check for positive values is already done by the client
        // all positive values are valid
        return true;
    }

    @Override
    protected String getUIProvider() {
        return "wq_panel_adapted_fixing";
    }
}
